package model

import (
	"time"

	"github.com/jmoiron/sqlx"
)

var Models *LogicModels = &LogicModels{}

type LogicModels struct {
	KillaraAdAppModel                      *KillaraAdAppModel
	KillaraAdLaunchModel                   *KillaraAdLaunchModel
	KillaraAdPcModel                       *KillaraAdPcModel
	KillaraAdPopupModel                    *KillaraAdPopupModel
	KillaraAdXcxModel                      *KillaraAdXcxModel
	KillaraCatalogAndroidModel             *KillaraCatalogAndroidModel
	KillaraCatalogBankModel                *KillaraCatalogBankModel
	KillaraCatalogCountryModel             *KillaraCatalogCountryModel
	KillaraCatalogCurrencyModel            *KillaraCatalogCurrencyModel
	KillaraCatalogExportModel              *KillaraCatalogExportModel
	KillaraCatalogFileModel                *KillaraCatalogFileModel
	KillaraCatalogHolidayModel             *KillaraCatalogHolidayModel
	KillaraCatalogInviteModel              *KillaraCatalogInviteModel
	KillaraCatalogLanguageModel            *KillaraCatalogLanguageModel
	KillaraCatalogMerchantModel            *KillaraCatalogMerchantModel
	KillaraCatalogNoticeModel              *KillaraCatalogNoticeModel
	KillaraCatalogServicefeeModel          *KillaraCatalogServicefeeModel
	KillaraCommissionModel                 *KillaraCommissionModel
	KillaraCustomerModel                   *KillaraCustomerModel
	KillaraCustomerAccountModel            *KillaraCustomerAccountModel
	KillaraCustomerBalanceModel            *KillaraCustomerBalanceModel
	KillaraCustomerCommissionModel         *KillaraCustomerCommissionModel
	KillaraCustomerCommissionWithdrawModel *KillaraCustomerCommissionWithdrawModel
	KillaraCustomerDepositModel            *KillaraCustomerDepositModel
	KillaraCustomerDeviceModel             *KillaraCustomerDeviceModel
	KillaraCustomerDeviceLogModel          *KillaraCustomerDeviceLogModel
	KillaraCustomerDistributorModel        *KillaraCustomerDistributorModel
	KillaraCustomerExchangeModel           *KillaraCustomerExchangeModel
	KillaraCustomerFavouriteModel          *KillaraCustomerFavouriteModel
	KillaraCustomerFeedbackModel           *KillaraCustomerFeedbackModel
	KillaraCustomerFundModel               *KillaraCustomerFundModel
	KillaraCustomerHoldModel               *KillaraCustomerHoldModel
	KillaraCustomerInternationalModel      *KillaraCustomerInternationalModel
	KillaraCustomerIpoModel                *KillaraCustomerIpoModel
	KillaraCustomerNewsModel               *KillaraCustomerNewsModel
	KillaraCustomerPointModel              *KillaraCustomerPointModel
	KillaraCustomerTokenModel              *KillaraCustomerTokenModel
	KillaraCustomerTransactionModel        *KillaraCustomerTransactionModel
	KillaraCustomerWithdrawModel           *KillaraCustomerWithdrawModel
	KillaraFundModel                       *KillaraFundModel
	KillaraFundAchievementModel            *KillaraFundAchievementModel
	KillaraFundCategoryModel               *KillaraFundCategoryModel
	KillaraFundNetModel                    *KillaraFundNetModel
	KillaraHelpModel                       *KillaraHelpModel
	KillaraHelpCategoryModel               *KillaraHelpCategoryModel
	KillaraHostingDayModel                 *KillaraHostingDayModel
	KillaraHostingMagnificationModel       *KillaraHostingMagnificationModel
	KillaraHostingStocksModel              *KillaraHostingStocksModel
	KillaraHundsunFundModel                *KillaraHundsunFundModel
	KillaraInfoModel                       *KillaraInfoModel
	KillaraInfoCategoryModel               *KillaraInfoCategoryModel
	KillaraInformationTermModel            *KillaraInformationTermModel
	KillaraInternationalModel              *KillaraInternationalModel
	KillaraIpoModel                        *KillaraIpoModel
	KillaraIpoQtyModel                     *KillaraIpoQtyModel
	KillaraIpoRatioModel                   *KillaraIpoRatioModel
	KillaraSettingModel                    *KillaraSettingModel
	KillaraStockModel                      *KillaraStockModel
	KillaraUserModel                       *KillaraUserModel
	KillaraUserGroupModel                  *KillaraUserGroupModel
	KillaraUserLoginHistoryModel           *KillaraUserLoginHistoryModel
	KillaraUserTokenModel                  *KillaraUserTokenModel
}

// killara_ad_app
type KillaraAdApp struct {
	AppId       uint64    `db:"app_id"`       //
	Name        string    `db:"name"`         //
	Type        uint64    `db:"type"`         // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath     string    `db:"xcx_path"`     // 小程序页面路径
	WebLink     string    `db:"web_link"`     // 网页链接
	AndroidPath string    `db:"android_path"` // 跳转安卓APP页面
	IosPath     string    `db:"ios_path"`     // 跳转苹果APP页面
	PathIndex   uint64    `db:"path_index"`   // 路径APP页面，1为基金，2为新股，3为国配
	Image       string    `db:"image"`        //
	StartDate   time.Time `db:"start_date"`   //
	EndDate     time.Time `db:"end_date"`     //
	SortOrder   uint64    `db:"sort_order"`   //
	InsertDate  time.Time `db:"insert_date"`  //
	ModifyDate  time.Time `db:"modify_date"`  //
}

// killara_ad_launch
type KillaraAdLaunch struct {
	LaunchId           uint64    `db:"launch_id"`             //
	Name               string    `db:"name"`                  //
	Type               uint64    `db:"type"`                  // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath            string    `db:"xcx_path"`              // 小程序页面路径
	WebLink            string    `db:"web_link"`              // 网页链接
	AndroidPath        string    `db:"android_path"`          // 跳转安卓APP页面
	IosPath            string    `db:"ios_path"`              // 跳转苹果APP页面
	PathIndex          uint64    `db:"path_index"`            // 路径APP页面，1为基金，2为新股，3为国配
	AndroidImage       string    `db:"android_image"`         // 安卓图片路径
	IosImage           string    `db:"ios_image"`             // 苹果普屏图片路径
	IosFullScreenImage string    `db:"ios_full_screen_image"` // 苹果全面屏图片路径
	StartDate          time.Time `db:"start_date"`            //
	EndDate            time.Time `db:"end_date"`              //
	SortOrder          uint64    `db:"sort_order"`            //
	InsertDate         time.Time `db:"insert_date"`           //
	ModifyDate         time.Time `db:"modify_date"`           //
}

// killara_ad_pc
type KillaraAdPc struct {
	PcId       uint64    `db:"pc_id"`       //
	Name       string    `db:"name"`        //
	Link       string    `db:"link"`        // 网页链接
	Image      string    `db:"image"`       //
	StartDate  time.Time `db:"start_date"`  //
	EndDate    time.Time `db:"end_date"`    //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_ad_popup
type KillaraAdPopup struct {
	PopupId     uint64    `db:"popup_id"`     //
	Name        string    `db:"name"`         //
	Type        uint64    `db:"type"`         // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath     string    `db:"xcx_path"`     // 小程序页面路径
	WebLink     string    `db:"web_link"`     // 网页链接
	AndroidPath string    `db:"android_path"` // 跳转安卓APP页面
	IosPath     string    `db:"ios_path"`     // 跳转苹果APP页面
	PathIndex   uint64    `db:"path_index"`   // 路径APP页面，1为基金，2为新股，3为国配
	Image       string    `db:"image"`        //
	StartDate   time.Time `db:"start_date"`   //
	EndDate     time.Time `db:"end_date"`     //
	SortOrder   uint64    `db:"sort_order"`   //
	InsertDate  time.Time `db:"insert_date"`  //
	ModifyDate  time.Time `db:"modify_date"`  //
}

// killara_ad_xcx
type KillaraAdXcx struct {
	XcxId      uint64    `db:"xcx_id"`      //
	Name       string    `db:"name"`        //
	Path       string    `db:"path"`        // 跳转页面路径
	Image      string    `db:"image"`       //
	StartDate  time.Time `db:"start_date"`  //
	EndDate    time.Time `db:"end_date"`    //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_android
type KillaraCatalogAndroid struct {
	AndroidId   uint64    `db:"android_id"`   //
	Name        *string   `db:"name"`         //
	Version     string    `db:"version"`      // 版本号
	Description string    `db:"description"`  // 更新描述
	FileName    string    `db:"file_name"`    // 文件名
	File        string    `db:"file"`         // 文件路径
	Download    int64     `db:"download"`     // 下载次数
	Status      uint64    `db:"status"`       //
	ForceUpdate uint64    `db:"force_update"` // 需要强制更新，1为是，2为否
	InsertDate  time.Time `db:"insert_date"`  //
	ModifyDate  time.Time `db:"modify_date"`  //
}

// killara_catalog_bank
type KillaraCatalogBank struct {
	BankId     uint64    `db:"bank_id"`     //
	Name       string    `db:"name"`        //
	Image      string    `db:"image"`       //
	Status     uint64    `db:"status"`      //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_country
type KillaraCatalogCountry struct {
	CountryId  uint64    `db:"country_id"`  //
	Code       string    `db:"code"`        //
	Name       string    `db:"name"`        //
	Status     uint64    `db:"status"`      //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_currency 货币种类表
type KillaraCatalogCurrency struct {
	CurrencyId   uint64    `db:"currency_id"`   //
	Name         string    `db:"name"`          //
	Symbol       string    `db:"symbol"`        //
	IsExchange   uint64    `db:"is_exchange"`   // 是否可以兑换，1：是；2：否
	ExchangeRate float64   `db:"exchange_rate"` //
	Rates        *string   `db:"rates"`         // 货币兑换汇率
	MaxDeposit   float64   `db:"max_deposit"`   // 最大入金数
	MinDeposit   float64   `db:"min_deposit"`   // 最小出金数
	MaxWithdraw  float64   `db:"max_withdraw"`  // 最大出金数
	MinWithdraw  float64   `db:"min_withdraw"`  // 最小出金数
	Status       uint64    `db:"status"`        //
	SortOrder    uint64    `db:"sort_order"`    //
	InsertDate   time.Time `db:"insert_date"`   //
	ModifyDate   time.Time `db:"modify_date"`   //
}

// killara_catalog_export
type KillaraCatalogExport struct {
	ExportId   uint64    `db:"export_id"`   //
	Function   uint64    `db:"function"`    // 1为A仓订单，2为交易记录，3为持仓列表，4为新股认购，5为国配申购，6为基金申购，7为会员入金，8为会员出金，9为佣金列表
	Filter     *string   `db:"filter"`      //
	File       string    `db:"file"`        // 文件路径
	Status     uint64    `db:"status"`      // 1为待处理，2为处理中，3为已完成
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_file
type KillaraCatalogFile struct {
	FileId      uint64    `db:"file_id"`     //
	Name        *string   `db:"name"`        //
	Description *string   `db:"description"` //
	FileName    string    `db:"file_name"`   //
	File        string    `db:"file"`        //
	InsertDate  time.Time `db:"insert_date"` //
	ModifyDate  time.Time `db:"modify_date"` //
}

// killara_catalog_holiday
type KillaraCatalogHoliday struct {
	HolidayId  uint64    `db:"holiday_id"`  //
	Name       string    `db:"name"`        //
	Market     string    `db:"market"`      // 所属证券市场，HK为港股市场，US为美股市场
	Year       string    `db:"year"`        // 所属年份
	Date       time.Time `db:"date"`        // 日期
	Status     uint64    `db:"status"`      //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_invite 邀请注册
type KillaraCatalogInvite struct {
	InviteId    uint64    `db:"invite_id"`    //
	Code        string    `db:"code"`         // 邀请码
	CountryCode string    `db:"country_code"` // 国家编号
	Telephone   string    `db:"telephone"`    //
	SmsCode     *string   `db:"sms_code"`     //
	Email       string    `db:"email"`        //
	EmailCode   string    `db:"email_code"`   //
	SendTime    int64     `db:"send_time"`    // 验证码发送时间戳
	ExpireTime  int64     `db:"expire_time"`  // 有效期（秒）
	Status      uint64    `db:"status"`       //
	InsertDate  time.Time `db:"insert_date"`  //
	ModifyDate  time.Time `db:"modify_date"`  //
}

// killara_catalog_language
type KillaraCatalogLanguage struct {
	LanguageId uint64    `db:"language_id"` //
	Name       string    `db:"name"`        //
	Code       string    `db:"code"`        //
	Status     uint64    `db:"status"`      //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_catalog_merchant 收款商户
type KillaraCatalogMerchant struct {
	MerchantId       uint64    `db:"merchant_id"`        //
	CurrencyId       uint64    `db:"currency_id"`        //
	CurrencyType     int64     `db:"currency_type"`      // 货币所属类型。1：法定货币；2：数字货币
	ShowName         *string   `db:"show_name"`          //
	Maintenance      uint64    `db:"maintenance"`        // 是否显示维护中，1为是，2为否
	Status           uint64    `db:"status"`             //
	Min              string    `db:"min"`                // 最低入金
	Max              string    `db:"max"`                // 最高入金
	Description      string    `db:"description"`        // 支付转账说明
	DcAddress        string    `db:"dc_address"`         // 数字货币二维码收款地址
	DcQrcode         string    `db:"dc_qrcode"`          // 数字货币收款地址
	BtCountry        string    `db:"bt_country"`         // 转账国家
	BtBankName       string    `db:"bt_bank_name"`       // 转账银行名称
	BtBankAddress    string    `db:"bt_bank_address"`    // 转账银行地址
	BtAccountName    string    `db:"bt_account_name"`    // 转账银行账户名称
	BtAccountNo      string    `db:"bt_account_no"`      // 转账银行账户号码
	BtAccountAddress string    `db:"bt_account_address"` // 转账银行账户地址
	BtSwiftCode      string    `db:"bt_swift_code"`      // SWIFT CODE
	SortOrder        int64     `db:"sort_order"`         //
	InsertDate       time.Time `db:"insert_date"`        //
	ModifyDate       time.Time `db:"modify_date"`        //
}

// killara_catalog_notice 系统通知
type KillaraCatalogNotice struct {
	NoticeId    uint64    `db:"notice_id"`   //
	Name        string    `db:"name"`        //
	Description *string   `db:"description"` //
	Status      uint64    `db:"status"`      //
	SortOrder   uint64    `db:"sort_order"`  //
	InsertDate  time.Time `db:"insert_date"` //
	ModifyDate  time.Time `db:"modify_date"` //
}

// killara_catalog_servicefee
type KillaraCatalogServicefee struct {
	ServicefeeId                   uint64    `db:"servicefee_id"`                     //
	Name                           string    `db:"name"`                              // 名称
	IpoCashServiceFee              float64   `db:"ipo_cash_service_fee"`              // 手续费（现金）
	IpoCashServiceFeeRefund        uint64    `db:"ipo_cash_service_fee_refund"`       // 撤单退还，1：是；2：否
	IpoFin5ServiceFee              float64   `db:"ipo_fin_5_service_fee"`             // 融资申购5倍手续费
	IpoFin5ServiceFeeRefund        uint64    `db:"ipo_fin_5_service_fee_refund"`      // 撤单退还，1：是；2：否
	IpoFin10ServiceFee             float64   `db:"ipo_fin_10_service_fee"`            // 手续费（融资10倍）
	IpoFin10ServiceFeeRefund       uint64    `db:"ipo_fin_10_service_fee_refund"`     // 撤单退还，1：是；2：否
	IpoFin20ServiceFee             float64   `db:"ipo_fin_20_service_fee"`            // 手续费（融资20倍）
	IpoFin20ServiceFeeRefund       uint64    `db:"ipo_fin_20_service_fee_refund"`     // 撤单退还，1：是；2：否
	IpoFin33ServiceFee             float64   `db:"ipo_fin_33_service_fee"`            // 手续费（融资33倍）
	IpoFin33ServiceFeeRefund       uint64    `db:"ipo_fin_33_service_fee_refund"`     // 撤单退还，1：是；2：否
	IpoWinServiceFeeRefund         uint64    `db:"ipo_win_service_fee_refund"`        // 撤单退还，1：是；2：否
	TransactionBuyFee              float64   `db:"transaction_buy_fee"`               // 买入手续费率
	TransactionBuyMinimum          float64   `db:"transaction_buy_minimum"`           // 买入最低收取
	TransactionSellFee             float64   `db:"transaction_sell_fee"`              // 卖出手续费率
	TransactionSellMinimum         float64   `db:"transaction_sell_minimum"`          // 卖出最低收取
	IpoServiceFee                  float64   `db:"ipo_service_fee"`                   // 新股申购交易费
	IpoServiceFeeRefund            uint64    `db:"ipo_service_fee_refund"`            // 撤单退还，1：是；2：否
	IpoWinServiceFee               float64   `db:"ipo_win_service_fee"`               // 新股中签手续费率
	IpoFinRate                     float64   `db:"ipo_fin_rate"`                      // 新股融资申购年化费率
	HkServiceFee                   float64   `db:"hk_service_fee"`                    // 交易佣金
	HkServiceFeeMinimum            float64   `db:"hk_service_fee_minimum"`            // 交易佣金最低收取
	HkServiceFeeRefund             uint64    `db:"hk_service_fee_refund"`             // 撤单退还，1：是；2：否
	UsServiceFee                   float64   `db:"us_service_fee"`                    // 交易佣金
	UsServiceFeeMinimum            float64   `db:"us_service_fee_minimum"`            // 交易佣金最低收费
	UsServiceFeeRefund             int64     `db:"us_service_fee_refund"`             // 撤单退还，1：是；2：否
	EtfServiceFee                  float64   `db:"etf_service_fee"`                   // 交易佣金
	EtfServiceFeeMinimum           float64   `db:"etf_service_fee_minimum"`           // 交易佣金最低收取
	EtfServiceFeeRefund            uint64    `db:"etf_service_fee_refund"`            // 撤单退还，1：是；2：否
	FundServiceFee                 float64   `db:"fund_service_fee"`                  // 基金申购费率
	FundManageFee                  float64   `db:"fund_manage_fee"`                   // 基金管理费率
	FundProfitFee                  float64   `db:"fund_profit_fee"`                   // 超额管理费率
	InternationalServiceFee        float64   `db:"international_service_fee"`         // 国配销售服务费率
	InternationalServiceFeeMinimum float64   `db:"international_service_fee_minimum"` // 交易佣金最低收取
	InternationalServiceFeeRefund  uint64    `db:"international_service_fee_refund"`  // 撤单退还，1：是；2：否
	IpoFinBalanceLimit             float64   `db:"ipo_fin_balance_limit"`             // 新股融资申购余额限制
	IpoUsCashServiceFee            float64   `db:"ipo_us_cash_service_fee"`           //
	IpoUsCashServiceFeeRefund      uint64    `db:"ipo_us_cash_service_fee_refund"`    //
	InsertDate                     time.Time `db:"insert_date"`                       //
	ModifyDate                     time.Time `db:"modify_date"`                       //
}

// killara_commission 分佣配置
type KillaraCommission struct {
	CommissionId            uint64    `db:"commission_id"`             //
	Name                    string    `db:"name"`                      // 名称
	StockServiceFee         float64   `db:"stock_service_fee"`         // 股票买卖手续费返佣
	StockProfit             float64   `db:"stock_profit"`              // 股票盈利返佣
	FundServiceFee          float64   `db:"fund_service_fee"`          // 基金认购手续费返佣
	FundManageFee           float64   `db:"fund_manage_fee"`           // 基金管理费返佣
	FundFinInterest         float64   `db:"fund_fin_interest"`         // 基金融资利息返佣
	FundProfit              float64   `db:"fund_profit"`               // 基金盈利返佣
	IpoServiceFee           float64   `db:"ipo_service_fee"`           // 新股申购手续费返佣
	IpoWinServiceFee        float64   `db:"ipo_win_service_fee"`       // 新股中签手续费返佣
	IpoFinInterest          float64   `db:"ipo_fin_interest"`          // 新股融资利息返佣
	InternationalServiceFee float64   `db:"international_service_fee"` // 国配销售服务费
	InsertDate              time.Time `db:"insert_date"`               //
	ModifyDate              time.Time `db:"modify_date"`               //
}

// killara_customer 会员（客户）列表
type KillaraCustomer struct {
	CustomerId      uint64    `db:"customer_id"`       //
	Type            uint64    `db:"type"`              // 会员类别。1：普通会员，2：机构户
	Code            string    `db:"code"`              // 会员编号
	Salt            *string   `db:"salt"`              //
	Password        *string   `db:"password"`          //
	RandomPassword  string    `db:"random_password"`   // 后台随机登录密码
	Name            string    `db:"name"`              // 姓名
	Idcode          string    `db:"idcode"`            // 身份证
	Realname        uint64    `db:"realname"`          // 1为已实名，2为未实名
	RealnameDate    time.Time `db:"realname_date"`     //
	Userface        string    `db:"userface"`          //
	Qrcode          *string   `db:"qrcode"`            //
	Nickname        string    `db:"nickname"`          //
	Email           string    `db:"email"`             // 邮箱
	EmailNotify     string    `db:"email_notify"`      // 通知邮箱
	CountryCode     string    `db:"country_code"`      // 国家编号
	Telephone       string    `db:"telephone"`         // 手机
	Gender          uint64    `db:"gender"`            // 1为男，2为女
	Year            string    `db:"year"`              // 出生年
	Month           string    `db:"month"`             // 出生月
	Day             string    `db:"day"`               // 出生日
	IsMarriage      *int64    `db:"is_marriage"`       // 婚姻状况
	IdcodeFrontPic  string    `db:"idcode_front_pic"`  // 身份证人像照
	IdcodeBackPic   string    `db:"idcode_back_pic"`   // 身份证国徽照
	BankId          *int64    `db:"bank_id"`           // 银行ID
	BankName        string    `db:"bank_name"`         // 开户银行
	BankBranch      string    `db:"bank_branch"`       // 支行名称
	BankNumber      string    `db:"bank_number"`       // 银行账号
	BankFrontPic    string    `db:"bank_front_pic"`    // 银行卡正面照
	SelfDesc        *string   `db:"self_desc"`         // 自我介绍
	HkBalance       float64   `db:"hk_balance"`        // 港股证券账户余额
	UsBalance       float64   `db:"us_balance"`        // 美股证券账户余额
	UsdcBalance     float64   `db:"usdc_balance"`      // USDC账户余额
	UsdtBalance     float64   `db:"usdt_balance"`      // USDT余额
	Commission      float64   `db:"commission"`        // 佣金
	ServicefeeId    uint64    `db:"servicefee_id"`     // 设定的收费表
	CommissionId    uint64    `db:"commission_id"`     // 设定的返佣表
	SubServicefeeId uint64    `db:"sub_servicefee_id"` // 下级使用收费表
	SubCommissionId uint64    `db:"sub_commission_id"` // 下级使用佣金表
	SubCodePrefix   string    `db:"sub_code_prefix"`   // 下线会员编号起始号码
	DisableA        uint64    `db:"disable_a"`         // 禁止A仓交易，1：是；2：否
	Status          uint64    `db:"status"`            // 1为启用，2为不启用
	ParentId        int64     `db:"parent_id"`         //
	JpushId         string    `db:"jpush_id"`          //
	FileLaunderPath string    `db:"file_launder_path"` // 机构户洗钱文件路径
	FileLaunderName string    `db:"file_launder_name"` // 机构户洗钱文件名称
	FileFinancePath string    `db:"file_finance_path"` // 机构户财务报表文件路径
	FileFinanceName string    `db:"file_finance_name"` // 机构户财务报表文件名称
	FileCheckPath   string    `db:"file_check_path"`   // 机构户核对清单文件路径
	FileCheckName   string    `db:"file_check_name"`   // 机构户核对清单文件名称
	InsertDate      time.Time `db:"insert_date"`       //
	Ip              string    `db:"ip"`                //
	AppMarket       uint64    `db:"app_market"`        // APP下载来源
}

// killara_customer_account 开户申请
type KillaraCustomerAccount struct {
	CustomerAccountId uint64    `db:"customer_account_id"` //
	CustomerId        *uint64   `db:"customer_id"`         //
	Telephone         string    `db:"telephone"`           // 手机
	Email             string    `db:"email"`               // 邮箱
	Remarks           *string   `db:"remarks"`             //
	EmailCode         *string   `db:"email_code"`          //
	UserinfoData      *string   `db:"userinfo_data"`       // 基本信息
	ContactData       *string   `db:"contact_data"`        // 联系信息
	WorkData          *string   `db:"work_data"`           // 工作信息
	FinanceData       *string   `db:"finance_data"`        // 财务状况
	InvetData         *string   `db:"invet_data"`          // 投资经验
	W8benData         *string   `db:"w8ben_data"`          // 税务证明
	SignData          *string   `db:"sign_data"`           // 签名数据
	BankType          *int64    `db:"bank_type"`           // 银行卡类别，1：国内；2：海外；3：USDT
	BankData          *string   `db:"bank_data"`           // 银行卡数据
	AbroadData        *string   `db:"abroad_data"`         // 海外银行卡信息
	UsdtData          *string   `db:"usdt_data"`           // USDT信息
	Status            int64     `db:"status"`              // 1：资料录入中；2：待审核；3：审核不通过；4：审核通过
	InsertDate        time.Time `db:"insert_date"`         //
	ModifyDate        time.Time `db:"modify_date"`         //
}

// killara_customer_balance 流水记录
type KillaraCustomerBalance struct {
	CustomerBalanceId       uint64    `db:"customer_balance_id"`       //
	CurrencyId              uint64    `db:"currency_id"`               //
	Symbol                  string    `db:"symbol"`                    //
	CustomerId              *uint64   `db:"customer_id"`               //
	Nickname                string    `db:"nickname"`                  // 会员昵称
	Telephone               string    `db:"telephone"`                 // 会员手机
	Email                   string    `db:"email"`                     // 会员邮箱
	Name                    string    `db:"name"`                      // 会员姓名
	Market                  string    `db:"market"`                    // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol             string    `db:"stock_symbol"`              // 股票代码
	StockName               string    `db:"stock_name"`                // 股票名称
	CustomerTransactionId   uint64    `db:"customer_transaction_id"`   // 交易流水ID
	CustomerIpoId           *uint64   `db:"customer_ipo_id"`           // 新股申购的流水ID
	CustomerInternationalId uint64    `db:"customer_international_id"` // 国际配售的流水ID
	CustomerWithdrawId      uint64    `db:"customer_withdraw_id"`      // 出金记录ID
	CustomerDepositId       uint64    `db:"customer_deposit_id"`       // 入金记录ID
	CustomerFundId          uint64    `db:"customer_fund_id"`          // 基金申购ID
	CustomerExchangeId      uint64    `db:"customer_exchange_id"`      // 货币转换ID
	Role                    uint64    `db:"role"`                      // 1为买入股票，2为买入手续费，3为卖出股票，4为卖出手续费，5为新股申购金额，6为新股申购融资利息，7为新股申购手续费，8为新股中签手续费，9为国配意向金，10为平台分成，11为出金，12为入金，13为基金申购金额，14为基金申购费，15为基金管理费，16为资金补扣，17为资金退还，18为基金获利金额，19为虚拟加金，20为手动入金，21为转移资金，22为推广佣金，23为基金超额管理费，24为货币兑换，25为配资投资本金，26为配资利息，27为虚拟入金
	Freeze                  uint64    `db:"freeze"`                    // 是否为冻结资金，1为是，2为否
	CancelRefund            uint64    `db:"cancel_refund"`             // 是否为取消退回相同的资金对冲，1为是，2为否
	Quantity                float64   `db:"quantity"`                  // 下单数量
	Price                   float64   `db:"price"`                     // 下单价格
	Total                   float64   `db:"total"`                     // 发生金额
	Type                    uint64    `db:"type"`                      // 1为金额增加，2为金额减少
	Refund                  uint64    `db:"refund"`                    // 取消退回资金，1为是，2为否
	InsertDate              time.Time `db:"insert_date"`               //
}

// killara_customer_commission 佣金
type KillaraCustomerCommission struct {
	CustomerCommissionId    uint64    `db:"customer_commission_id"`    //
	CustomerId              *uint64   `db:"customer_id"`               //
	FromCustomerId          uint64    `db:"from_customer_id"`          //
	CustomerTransactionId   uint64    `db:"customer_transaction_id"`   // 佣金关联的交易
	CustomerIpoId           uint64    `db:"customer_ipo_id"`           // 佣金关联的新股交易
	CustomerInternationalId uint64    `db:"customer_international_id"` // 佣金关联的国配交易
	CustomerFundId          uint64    `db:"customer_fund_id"`          // 基金申购ID
	Amount                  float64   `db:"amount"`                    // 金额
	CommissionRate          string    `db:"commission_rate"`           // 返佣率
	CurrencyId              uint64    `db:"currency_id"`               // 货币ID
	Symbol                  string    `db:"symbol"`                    // 货币符号
	Total                   float64   `db:"total"`                     // 返佣
	Settle                  uint64    `db:"settle"`                    // 是否已结算，1为是，2为否
	Role                    string    `db:"role"`                      // 返佣类型，为关键字
	Market                  string    `db:"market"`                    // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol             string    `db:"stock_symbol"`              // 股票代码
	StockName               string    `db:"stock_name"`                // 股票名称
	FundName                string    `db:"fund_name"`                 // 基金名称
	FundCode                string    `db:"fund_code"`                 // 基金编号
	InsertDate              time.Time `db:"insert_date"`               //
	ModifyDate              time.Time `db:"modify_date"`               //
}

// killara_customer_commission_withdraw
type KillaraCustomerCommissionWithdraw struct {
	CustomerCommissionWithdrawId uint64    `db:"customer_commission_withdraw_id"` //
	CustomerId                   *uint64   `db:"customer_id"`                     //
	Nickname                     string    `db:"nickname"`                        // 昵称
	Telephone                    string    `db:"telephone"`                       // 手机号码
	Name                         string    `db:"name"`                            // 姓名
	Total                        float64   `db:"total"`                           // 佣金提现金额
	Status                       uint64    `db:"status"`                          // 状态，1为已提交，2为已处理，3为已取消，4为不通过
	Remarks                      string    `db:"remarks"`                         // 备注
	Reason                       string    `db:"reason"`                          // 后台处理结果
	InsertDate                   time.Time `db:"insert_date"`                     //
	ModifyDate                   time.Time `db:"modify_date"`                     //
}

// killara_customer_deposit 会员入金
type KillaraCustomerDeposit struct {
	CustomerDepositId uint64    `db:"customer_deposit_id"` //
	CustomerId        *uint64   `db:"customer_id"`         //
	Nickname          string    `db:"nickname"`            // 会员昵称
	Telephone         string    `db:"telephone"`           // 会员手机
	Email             string    `db:"email"`               //
	Name              string    `db:"name"`                // 会员姓名
	MerchantId        uint64    `db:"merchant_id"`         // 支付方式ID
	CurrencyId        uint64    `db:"currency_id"`         //
	Symbol            string    `db:"symbol"`              //
	CategoryId        uint64    `db:"category_id"`         //
	Market            string    `db:"market"`              // 所属证券市场，HK为港股市场，US为美股市场
	Total             float64   `db:"total"`               //
	OnlinePay         uint64    `db:"online_pay"`          // 是否调起支付，1为是，2为否
	Type              uint64    `db:"type"`                // 支付方式，1:网银,3:快捷
	Amount            float64   `db:"amount"`              //
	Status            uint64    `db:"status"`              // 1为待转账，2为已成功，3为已取消，4为已上传回单
	Remarks           *string   `db:"remarks"`             //
	Reason            *string   `db:"reason"`              //
	Ordersn           string    `db:"orderSn"`             // 支付接口订单号
	Queryid           string    `db:"queryId"`             //
	MerchantCode      string    `db:"merchant_code"`       //
	MerchantKey       string    `db:"merchant_key"`        //
	Image             string    `db:"image"`               // 回单图片路径
	ImageInsert       string    `db:"image_insert"`        // 申请时图片路径
	Date              time.Time `db:"date"`                //
	PayDate           string    `db:"pay_date"`            //
	ModifyDate        time.Time `db:"modify_date"`         //
	Ip                string    `db:"ip"`                  //
}

// killara_customer_device
type KillaraCustomerDevice struct {
	CustomerId *uint64   `db:"customer_id"` //
	Device     string    `db:"device"`      // 登录设备
	Version    string    `db:"version"`     // APP版本
	AppMarket  uint64    `db:"app_market"`  // APP下载来源
	Ip         string    `db:"ip"`          //
	Date       time.Time `db:"date"`        //
}

// killara_customer_device_log
type KillaraCustomerDeviceLog struct {
	LogId      uint64    `db:"log_id"`      //
	CustomerId uint64    `db:"customer_id"` //
	Device     string    `db:"device"`      //
	Version    string    `db:"version"`     //
	Log        *string   `db:"log"`         //
	Date       time.Time `db:"date"`        //
}

// killara_customer_distributor 代理申请
type KillaraCustomerDistributor struct {
	CustomerDistributorId uint64    `db:"customer_distributor_id"` //
	CustomerId            *uint64   `db:"customer_id"`             //
	Status                uint64    `db:"status"`                  // 1为待审核，2为审核通过，3为审核未通过
	InsertDate            time.Time `db:"insert_date"`             //
	ModifyDate            time.Time `db:"modify_date"`             //
}

// killara_customer_exchange
type KillaraCustomerExchange struct {
	CustomerExchangeId uint64    `db:"customer_exchange_id"` //
	CustomerId         *uint64   `db:"customer_id"`          //
	Nickname           string    `db:"nickname"`             // 会员昵称
	Telephone          string    `db:"telephone"`            // 会员手机
	Email              string    `db:"email"`                // 电邮
	Name               string    `db:"name"`                 // 会员姓名
	FromCurrencyId     uint64    `db:"from_currency_id"`     // 原始货币ID
	FromSymbol         string    `db:"from_symbol"`          // 原始货币符号
	FromTotal          float64   `db:"from_total"`           // 原始货币金额
	ExchangeRate       float64   `db:"exchange_rate"`        //
	ToCurrencyId       uint64    `db:"to_currency_id"`       // 转换货币ID
	ToSymbol           string    `db:"to_symbol"`            // 转换货币符号
	ToTotal            float64   `db:"to_total"`             // 转换货币金额
	Status             uint64    `db:"status"`               // 1为待处理，2转换成功，3为转换失败，4为已取消
	Remarks            *string   `db:"remarks"`              //
	InsertDate         time.Time `db:"insert_date"`          //
	ModifyDate         time.Time `db:"modify_date"`          //
	Ip                 string    `db:"ip"`                   //
}

// killara_customer_favourite
type KillaraCustomerFavourite struct {
	CustomerFavouriteId uint64    `db:"customer_favourite_id"` //
	CustomerId          *uint64   `db:"customer_id"`           //
	Market              string    `db:"market"`                // 所属证券市场，HK为港股市场，US为美股市场
	StockName           string    `db:"stock_name"`            // 股票名称
	StockSymbol         string    `db:"stock_symbol"`          // 股票代码
	SortOrder           int64     `db:"sort_order"`            // 排序
	InsertDate          time.Time `db:"insert_date"`           //
}

// killara_customer_feedback
type KillaraCustomerFeedback struct {
	CustomerFeedbackId uint64    `db:"customer_feedback_id"` //
	CustomerId         *uint64   `db:"customer_id"`          //
	CustomerName       string    `db:"customer_name"`        //
	CustomerTelephone  string    `db:"customer_telephone"`   //
	Name               *string   `db:"name"`                 //
	Description        *string   `db:"description"`          //
	Reply              *string   `db:"reply"`                // 处理回复
	Status             uint64    `db:"status"`               //
	InsertDate         time.Time `db:"insert_date"`          //
	ModifyDate         time.Time `db:"modify_date"`          //
}

// killara_customer_fund
type KillaraCustomerFund struct {
	CustomerFundId     uint64    `db:"customer_fund_id"`      //
	Code               string    `db:"code"`                  // 编号
	CustomerId         *uint64   `db:"customer_id"`           //
	Nickname           string    `db:"nickname"`              // 会员昵称
	Telephone          string    `db:"telephone"`             // 会员手机
	Email              string    `db:"email"`                 // 电邮
	Name               string    `db:"name"`                  // 会员姓名
	Market             string    `db:"market"`                // 所属证券市场，HK为港股市场，US为美股市场
	FundName           string    `db:"fund_name"`             // 基金名称
	FundCode           string    `db:"fund_code"`             // 基金编号
	Symbol             string    `db:"symbol"`                //
	Total              float64   `db:"total"`                 // 投资金额
	ServiceFeeRate     float64   `db:"service_fee_rate"`      // 申购费率
	ServiceFee         float64   `db:"service_fee"`           // 申购费
	ManageFeeRate      float64   `db:"manage_fee_rate"`       // 管理费率
	ManageFee          float64   `db:"manage_fee"`            // 管理费
	FundProfitFeeRate  float64   `db:"fund_profit_fee_rate"`  // 超额管理费率
	FundProfitFee      float64   `db:"fund_profit_fee"`       // 超额管理费
	Profit             string    `db:"profit"`                // 实际收益
	ProfitRate         float64   `db:"profit_rate"`           // 退出收益率
	RefundAmount       float64   `db:"refund_amount"`         // 退出总金额
	StartDate          time.Time `db:"start_date"`            // 开始日期
	HoldTime           float64   `db:"hold_time"`             // 锚定期
	HoldTimeUnit       uint64    `db:"hold_time_unit"`        // 锚定期单位；1：日；2：周；3：月
	EndDate            time.Time `db:"end_date"`              // 结束日期
	QuitDate           time.Time `db:"quit_date"`             // 退出日期
	HoldPrice          float64   `db:"hold_price"`            // 转持仓均价
	HoldQuantity       uint64    `db:"hold_quantity"`         // 转持仓数量
	HoldAmount         float64   `db:"hold_amount"`           // 转持仓金额
	WinRate            float64   `db:"win_rate"`              // 获配率
	WinQuantity        uint64    `db:"win_quantity"`          // 获配股数
	WinCost            float64   `db:"win_cost"`              // 股票成本对价
	WinAmount          float64   `db:"win_amount"`            // 基金获配金额
	FinInterest        float64   `db:"fin_interest"`          // 融资利息
	QuitPrice          float64   `db:"quit_price"`            // 退出平均价格
	QuitAmount         float64   `db:"quit_amount"`           // 退出金额
	SellServiceFeeRate float64   `db:"sell_service_fee_rate"` // 卖出手续费率
	OtherFee           float64   `db:"other_fee"`             // 基金其他费用
	ManageDay          float64   `db:"manage_day"`            // 管理时间/月
	Reward             float64   `db:"reward"`                // 绩效报酬
	NetReward          float64   `db:"net_reward"`            // 净绩效报酬
	Status             int64     `db:"status"`                // 1为已申购，2为已取消，3为已结算
	InsertDate         time.Time `db:"insert_date"`           //
	ModifyDate         time.Time `db:"modify_date"`           //
	Ip                 string    `db:"ip"`                    //
}

// killara_customer_hold 用户持仓
type KillaraCustomerHold struct {
	CustomerHoldId           uint64    `db:"customer_hold_id"`          //
	CustomerIpoId            int64     `db:"customer_ipo_id"`           // 由新股中签来的持仓
	CustomerInternationalId  int64     `db:"customer_international_id"` // 由国配中签来的持仓
	CustomerFundId           uint64    `db:"customer_fund_id"`          // 由基金申购转来的持仓
	CustomerId               *uint64   `db:"customer_id"`               //
	Nickname                 string    `db:"nickname"`                  // 会员昵称
	Telephone                string    `db:"telephone"`                 // 会员手机
	Email                    string    `db:"email"`                     // 电邮
	Name                     string    `db:"name"`                      // 会员姓名
	Settleprice              float64   `db:"settlePrice"`               // 结算价
	Exerciseprice            float64   `db:"exercisePrice"`             // 行使价
	Makepeace                float64   `db:"makePeace"`                 // 打和点
	Exchangeratio            float64   `db:"exchangeRatio"`             // 换股比率
	Exchangeprice            float64   `db:"exchangePrice"`             // 换股价
	Callprice                float64   `db:"callPrice"`                 // 收回价
	Lasttradedate            time.Time `db:"lastTradeDate"`             // 最后交易日
	Maturitydate             time.Time `db:"maturityDate"`              // 到期日
	Callorput                string    `db:"callOrPut"`                 // 牛证或熊证。牛C，熊P
	Inlineflag               uint64    `db:"inlineFlag"`                // 购或沽；1：购；0：沽
	Code                     string    `db:"code"`                      // 编号
	Market                   string    `db:"market"`                    // 所属证券市场，HK为港股市场，US为美股市场
	StockType                uint64    `db:"stock_type"`                // 股票类型
	StockSymbol              string    `db:"stock_symbol"`              // 股票代码
	StockName                string    `db:"stock_name"`                // 股票名称
	Quantity                 uint64    `db:"quantity"`                  // 持仓数量
	Price                    float64   `db:"price"`                     // 持仓均价
	ProfitLoss               float64   `db:"profit_loss"`               // 持仓盈亏额
	ProfitLossRate           float64   `db:"profit_loss_rate"`          // 持仓盈亏额率
	IsWithfunding            uint64    `db:"is_withfunding"`            // 是否选择配资，1为是；2为否。
	WithfundingTotal         float64   `db:"withfunding_total"`         // 投资本金
	WithfundingMagnification uint64    `db:"withfunding_magnification"` // 倍率
	WithfundingDay           uint64    `db:"withfunding_day"`           // 交易天数
	Interest                 float64   `db:"interest"`                  // 利息
	WarningLine              float64   `db:"warning_line"`              // 警戒线
	WarningLinePrice         float64   `db:"warning_line_price"`        // 警戒价
	ClearLine                float64   `db:"clear_line"`                // 平仓线
	ClearLinePrice           float64   `db:"clear_line_price"`          // 平仓价
	WithfundingStartDate     time.Time `db:"withfunding_start_date"`    // 配资开始日期
	WithfundingEndDate       time.Time `db:"withfunding_end_date"`      // 配资结束日期
	Status                   uint64    `db:"status"`                    // 1为持仓中，2为已平仓
	InsertDate               time.Time `db:"insert_date"`               //
	ModifyDate               time.Time `db:"modify_date"`               //
}

// killara_customer_international 用户-国配申购
type KillaraCustomerInternational struct {
	CustomerInternationalId uint64    `db:"customer_international_id"` //
	Code                    string    `db:"code"`                      // 编号
	InternationalId         int64     `db:"international_id"`          //
	CustomerId              *uint64   `db:"customer_id"`               //
	Nickname                string    `db:"nickname"`                  // 会员昵称
	Telephone               string    `db:"telephone"`                 // 会员手机
	Email                   string    `db:"email"`                     // 电邮
	Name                    string    `db:"name"`                      // 会员姓名
	Market                  string    `db:"market"`                    // 所属证券市场，HK为港股市场，US为美股市场
	StockName               string    `db:"stock_name"`                // 股票名称
	StockSymbol             string    `db:"stock_symbol"`              // 股票代码
	EndBuyDate              time.Time `db:"end_buy_date"`              //
	Total                   float64   `db:"total"`                     // 投资金额
	DepositRate             float64   `db:"deposit_rate"`              // 意向金百分比
	Deposit                 float64   `db:"deposit"`                   // 意向金
	ServiceFeeRate          float64   `db:"service_fee_rate"`          // 销售服务费率
	ServiceFee              float64   `db:"service_fee"`               // 销售服务费
	WinningQty              uint64    `db:"winning_qty"`               // 中签数量
	WinningPrice            float64   `db:"winning_price"`             // 中签价格
	WinningTotal            float64   `db:"winning_total"`             // 中签总额
	WinningDate             string    `db:"winning_date"`              // 公布中签时间
	Amount                  float64   `db:"amount"`                    // 所有费用总额
	Status                  int64     `db:"status"`                    // 1为已提交，2为已中签，3为未中签，4为已取消
	Remarks                 *string   `db:"remarks"`                   //
	InsertDate              time.Time `db:"insert_date"`               //
	ModifyDate              time.Time `db:"modify_date"`               //
	Ip                      string    `db:"ip"`                        //
}

// killara_customer_ipo
type KillaraCustomerIpo struct {
	CustomerIpoId        uint64    `db:"customer_ipo_id"`          //
	Code                 string    `db:"code"`                     // 编号
	CustomerId           *uint64   `db:"customer_id"`              //
	IpoId                uint64    `db:"ipo_id"`                   //
	Nickname             string    `db:"nickname"`                 // 会员昵称
	Telephone            string    `db:"telephone"`                // 会员手机
	Email                string    `db:"email"`                    // 邮箱
	Name                 string    `db:"name"`                     // 会员姓名
	Market               string    `db:"market"`                   // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol          string    `db:"stock_symbol"`             // 股票代码
	StockName            string    `db:"stock_name"`               // 股票名称
	EndBuyDate           time.Time `db:"end_buy_date"`             //
	Quantity             uint64    `db:"quantity"`                 // 认购数量
	Total                float64   `db:"total"`                    // 认购总额
	StrategyId           string    `db:"strategy_id"`              // 交易策略
	Fin                  uint64    `db:"fin"`                      // 是否融资，1为是，2为否
	FinRatio             float64   `db:"fin_ratio"`                // 融资比例
	FinAmount            float64   `db:"fin_amount"`               // 融资金额
	FinRate              float64   `db:"fin_rate"`                 // 融资利率
	FinInterest          float64   `db:"fin_interest"`             // 融资产生的利息
	IpoServiceFee        float64   `db:"ipo_service_fee"`          // 申购手续费
	IpoWinServiceFeeRate float64   `db:"ipo_win_service_fee_rate"` // 中签手续费率
	IpoWinServiceFee     float64   `db:"ipo_win_service_fee"`      // 中签手续费
	WinningQty           uint64    `db:"winning_qty"`              // 中签数量
	WinningPrice         float64   `db:"winning_price"`            // 中签价格
	WinningTotal         float64   `db:"winning_total"`            // 中签总额
	Amount               float64   `db:"amount"`                   // 所有费用总额
	IsEntrust            *int64    `db:"is_entrust"`               // 委托打新；1：是；0：否
	Status               int64     `db:"status"`                   // 1为已提交，2为已中签，3为未中签，4为已取消
	Remarks              *string   `db:"remarks"`                  //
	InsertDate           time.Time `db:"insert_date"`              //
	ModifyDate           time.Time `db:"modify_date"`              //
	Ip                   string    `db:"ip"`                       //
}

// killara_customer_news
type KillaraCustomerNews struct {
	CustomerNewsId uint64    `db:"customer_news_id"` //
	CustomerId     *uint64   `db:"customer_id"`      //
	Nickname       string    `db:"nickname"`         //
	Telephone      string    `db:"telephone"`        //
	Name           *string   `db:"name"`             //
	Description    *string   `db:"description"`      //
	Read           uint64    `db:"read"`             //
	Date           time.Time `db:"date"`             //
}

// killara_customer_point
type KillaraCustomerPoint struct {
	CustomerPointId uint64    `db:"customer_point_id"` //
	CustomerId      *uint64   `db:"customer_id"`       //
	Nickname        string    `db:"nickname"`          //
	Telephone       string    `db:"telephone"`         //
	Description     *string   `db:"description"`       //
	Total           int64     `db:"total"`             //
	Type            int64     `db:"type"`              //
	InsertDate      time.Time `db:"insert_date"`       //
}

// killara_customer_token
type KillaraCustomerToken struct {
	Token      *string `db:"token"`       //
	CustomerId uint64  `db:"customer_id"` //
	Data       *string `db:"data"`        //
	Expiry     int64   `db:"expiry"`      //
	Platform   int64   `db:"platform"`    // 1为app，2为代理网页
}

// killara_customer_transaction 当前委托
type KillaraCustomerTransaction struct {
	CustomerTransactionId    uint64    `db:"customer_transaction_id"`   //
	CustomerHoldId           uint64    `db:"customer_hold_id"`          // 关联的持仓
	CustomerId               *uint64   `db:"customer_id"`               //
	Nickname                 string    `db:"nickname"`                  // 会员昵称
	Telephone                string    `db:"telephone"`                 // 会员手机
	Email                    string    `db:"email"`                     // 电邮
	Name                     string    `db:"name"`                      // 会员姓名
	Settleprice              float64   `db:"settlePrice"`               // 结算价
	Exerciseprice            float64   `db:"exercisePrice"`             // 行使价
	Makepeace                float64   `db:"makePeace"`                 // 打和点
	Exchangeratio            float64   `db:"exchangeRatio"`             // 换股比率
	Exchangeprice            float64   `db:"exchangePrice"`             // 换股价
	Callprice                float64   `db:"callPrice"`                 // 收回价
	Lasttradedate            time.Time `db:"lastTradeDate"`             // 最后交易日
	Maturitydate             time.Time `db:"maturityDate"`              // 到期日
	Callorput                string    `db:"callOrPut"`                 // 牛证或熊证。牛C，熊P
	Inlineflag               uint64    `db:"inlineFlag"`                // 购或沽；1：购；0：沽
	Code                     string    `db:"code"`                      // 编号
	Market                   string    `db:"market"`                    // 所属证券市场，HK为港股市场，US为美股市场
	StockType                uint64    `db:"stock_type"`                // 股票类型
	Grey                     uint64    `db:"grey"`                      // 暗盘订单。1：是；2：否
	Type                     uint64    `db:"type"`                      // 1为买入，2为卖出
	OrderType                uint64    `db:"order_type"`                // 1为限价单，2为市价单
	IpoId                    uint64    `db:"ipo_id"`                    // 新股ID
	StockSymbol              string    `db:"stock_symbol"`              // 股票代码
	StockName                string    `db:"stock_name"`                // 股票名称
	Quantity                 uint64    `db:"quantity"`                  // 数量
	Price                    float64   `db:"price"`                     // 价格
	Total                    float64   `db:"total"`                     // 金额
	ServiceFeeRate           float64   `db:"service_fee_rate"`          // 手续费率
	ServiceFee               float64   `db:"service_fee"`               // 手续费
	AvgPrice                 float64   `db:"avg_price"`                 // 持仓均价
	SellDate                 time.Time `db:"sell_date"`                 // 卖出日期
	ProfitLoss               float64   `db:"profit_loss"`               // 盈亏额，只有卖单才有
	ProfitLossRate           float64   `db:"profit_loss_rate"`          // 盈亏额率，只有卖单才有
	PlatformSeparateRate     float64   `db:"platform_separate_rate"`    // 平台获利分成比例
	PlatformSeparate         float64   `db:"platform_separate"`         // 平台获利分成金额
	PersonalSeparateRate     float64   `db:"personal_separate_rate"`    // 个人获利分成比例
	PersonalSeparate         float64   `db:"personal_separate"`         // 个人获利分成金额
	Amount                   float64   `db:"amount"`                    // 实际发生金额
	Status                   uint64    `db:"status"`                    // 1为已下单，2为已撤单，3为已成交
	ExchangeOrder            uint64    `db:"exchange_order"`            // 1为交易所交易订单，2为本地交易订单
	ExchangeStatus           uint64    `db:"exchange_status"`           // 1为已下单，2为已提交交易所，3为已撤单，4为已成交
	ExchangeProcess          uint64    `db:"exchange_process"`          // 订单交易所是否已处理，1为已处理，2为未处理
	ExchangeResponse         string    `db:"exchange_response"`         // 订单交易所处理的信息反馈
	EntrustNo                string    `db:"entrust_no"`                // 恒生委托编号
	OrderNo                  string    `db:"order_no"`                  // 恒生订单号码
	OrderTxnReference        string    `db:"order_txn_reference"`       // 恒生记录号
	FundId                   uint64    `db:"fund_id"`                   // 使用的A仓账号
	ExchangeNumber           uint64    `db:"exchange_number"`           // 提交到恒生的次数序号
	IbOrderId                string    `db:"ib_order_id"`               // IB订单号
	A2b                      uint64    `db:"a2b"`                       // A仓不成功转B仓，1为是，2为否
	IsWithfunding            uint64    `db:"is_withfunding"`            // 是否选择配资，1为是；2为否。
	WithfundingTotal         float64   `db:"withfunding_total"`         // 投资本金
	WithfundingMagnification uint64    `db:"withfunding_magnification"` // 倍率
	WithfundingDay           uint64    `db:"withfunding_day"`           // 交易天数
	Interest                 float64   `db:"interest"`                  // 利息
	WarningLine              float64   `db:"warning_line"`              // 警戒线
	WarningLinePrice         float64   `db:"warning_line_price"`        // 警戒价
	ClearLine                float64   `db:"clear_line"`                // 平仓线
	ClearLinePrice           float64   `db:"clear_line_price"`          // 平仓价
	WithfundingStartDate     time.Time `db:"withfunding_start_date"`    // 配资开始日期
	WithfundingEndDate       time.Time `db:"withfunding_end_date"`      // 配资结束日期
	Remarks                  string    `db:"remarks"`                   // 备注
	InsertDate               time.Time `db:"insert_date"`               //
	ExchangeDate             time.Time `db:"exchange_date"`             // 成功提交到A仓的时间
	ModifyDate               time.Time `db:"modify_date"`               //
	Ip                       string    `db:"ip"`                        // 客户下单时的IP
}

// killara_customer_withdraw 会员出金
type KillaraCustomerWithdraw struct {
	CustomerWithdrawId uint64    `db:"customer_withdraw_id"` //
	CustomerId         *uint64   `db:"customer_id"`          //
	Nickname           string    `db:"nickname"`             // 会员昵称
	Telephone          string    `db:"telephone"`            // 会员手机
	Email              string    `db:"email"`                // 电邮
	Name               string    `db:"name"`                 // 客戶姓名
	CurrencyId         uint64    `db:"currency_id"`          // 出金货币ID
	Symbol             string    `db:"symbol"`               // 出金货币代码
	Total              float64   `db:"total"`                // 提款金额
	Market             string    `db:"market"`               // 所属证券市场，HK为港股市场，US为美股市场
	BankAccountName    string    `db:"bank_account_name"`    // 收款人姓名
	BankName           string    `db:"bank_name"`            // 银行名称
	BankBranch         string    `db:"bank_branch"`          // 支行名称
	BankNumber         string    `db:"bank_number"`          // 银行号码
	BankType           uint64    `db:"bank_type"`            // 收款类别，1：国内；2：海外；3：USDT
	BankInfo           string    `db:"bank_info"`            // 收款账户信息
	ExchangeRate       string    `db:"exchange_rate"`        //
	TotalCny           float64   `db:"total_cny"`            //
	Status             uint64    `db:"status"`               // 1为待处理，2为已处理，3为已取消，4为已划款
	Remarks            *string   `db:"remarks"`              //
	Reason             *string   `db:"reason"`               //
	Date               time.Time `db:"date"`                 // （美国时间）
	VerifyDate         string    `db:"verify_date"`          // 审核日期
	TransferDate       string    `db:"transfer_date"`        // 划款日期
	Ip                 string    `db:"ip"`                   //
}

// killara_fund 基金表
type KillaraFund struct {
	FundId        uint64    `db:"fund_id"`         //
	CategoryId    *uint64   `db:"category_id"`     //
	Market        string    `db:"market"`          // 所属证券市场，HK为港股市场，US为美股市场
	Name          *string   `db:"name"`            // 基金名称
	Code          string    `db:"code"`            // 基金编号
	TimeType      uint64    `db:"time_type"`       // 显示时间类型。1：锚定期；2：锁定期
	HoldTime      uint64    `db:"hold_time"`       // 锚定期
	HoldTimeUnit  uint64    `db:"hold_time_unit"`  // 锚定期单位；1：日；2：周；3：月
	LockTime      uint64    `db:"lock_time"`       // 锁定期
	LockTimeUnit  uint64    `db:"lock_time_unit"`  // 锁定期单位；1：日；2：周；3：月
	FundManageFee float64   `db:"fund_manage_fee"` // 基金管理费率
	RateToday     *string   `db:"rate_today"`      // 今日涨跌幅
	RateSevenDay  string    `db:"rate_seven_day"`  // 七日年化
	RateThisYear  string    `db:"rate_this_year"`  //
	RateThreeYear string    `db:"rate_three_year"` // 近三年涨幅
	Currency      string    `db:"currency"`        //
	Symbol        string    `db:"symbol"`          //
	Net           string    `db:"net"`             // 单位净值
	SurplusTotal  float64   `db:"surplus_total"`   // 剩余额度
	Minimum       float64   `db:"minimum"`         // 起投金额
	StepAmount    *float64  `db:"step_amount"`     // 递增金额
	Description   string    `db:"description"`     // 介绍
	Notice        string    `db:"notice"`          // 风险提示
	BuyerNumber   *uint64   `db:"buyer_number"`    // 购买人数
	FundInfo      *string   `db:"fund_info"`       // 基金概况
	FundManager   *string   `db:"fund_manager"`    // 基金经理
	FundAdvantage *string   `db:"fund_advantage"`  // 产品亮点
	HistoryProfit *string   `db:"history_profit"`  // 历史收益
	Hot           *int64    `db:"hot"`             // 热门
	Status        uint64    `db:"status"`          //
	SortOrder     uint64    `db:"sort_order"`      //
	InsertDate    time.Time `db:"insert_date"`     //
	ModifyDate    time.Time `db:"modify_date"`     //
}

// killara_fund_achievement 基金业绩
type KillaraFundAchievement struct {
	FundAchievementId uint64    `db:"fund_achievement_id"` //
	FundId            *uint64   `db:"fund_id"`             //
	Date              string    `db:"date"`                // 日期
	Value             float64   `db:"value"`               // 业绩值
	InsertDate        time.Time `db:"insert_date"`         //
	ModifyDate        time.Time `db:"modify_date"`         //
}

// killara_fund_category
type KillaraFundCategory struct {
	CategoryId   uint64    `db:"category_id"`   //
	Name         *string   `db:"name"`          // 名称，（无htmlspecialchars_decode）
	Excerpt      *string   `db:"excerpt"`       // （无htmlspecialchars_decode）
	Image        string    `db:"image"`         //
	LinkType     uint64    `db:"link_type"`     // 点击跳转类型，1为基金分类，2为资讯分类
	NewsCategory uint64    `db:"news_category"` // 资讯分类ID
	RiskLevel    *int64    `db:"risk_level"`    // 风险等级
	Intro        *string   `db:"intro"`         // 小常识
	IntroUseful  *uint64   `db:"intro_useful"`  // 有帮助数量
	IntroUseless *uint64   `db:"intro_useless"` // 无帮助数量
	Status       uint64    `db:"status"`        //
	SortOrder    uint64    `db:"sort_order"`    //
	InsertDate   time.Time `db:"insert_date"`   //
	ModifyDate   time.Time `db:"modify_date"`   //
}

// killara_fund_net 基金净值
type KillaraFundNet struct {
	FundNetId  uint64    `db:"fund_net_id"` //
	FundId     *uint64   `db:"fund_id"`     //
	Date       string    `db:"date"`        // 日期
	Value      string    `db:"value"`       // 单位净值
	Ratio      string    `db:"ratio"`       // 日涨跌幅
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_help 帮助中心
type KillaraHelp struct {
	HelpId      uint64    `db:"help_id"`     //
	LanguageId  uint64    `db:"language_id"` // 所属语言
	CategoryId  uint64    `db:"category_id"` //
	Name        string    `db:"name"`        // 名称
	Description string    `db:"description"` // 内容
	Status      uint64    `db:"status"`      //
	SortOrder   uint64    `db:"sort_order"`  //
	InsertDate  time.Time `db:"insert_date"` //
	ModifyDate  time.Time `db:"modify_date"` //
}

// killara_help_category
type KillaraHelpCategory struct {
	CategoryId uint64    `db:"category_id"` //
	LanguageId uint64    `db:"language_id"` // 所属语言
	Name       string    `db:"name"`        //
	Status     uint64    `db:"status"`      //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_hosting_day
type KillaraHostingDay struct {
	DayId      uint64    `db:"day_id"`      //
	Market     string    `db:"market"`      // 所属证券市场，HK为港股市场，US为美股市场
	Day        uint64    `db:"day"`         //
	Status     uint64    `db:"status"`      //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_hosting_magnification
type KillaraHostingMagnification struct {
	MagnificationId uint64    `db:"magnification_id"` //
	Market          string    `db:"market"`           // 所属证券市场，HK为港股市场，US为美股市场
	Magnification   uint64    `db:"magnification"`    // 放大倍率
	YearRate        float64   `db:"year_rate"`        // 年利率
	Status          uint64    `db:"status"`           //
	InsertDate      time.Time `db:"insert_date"`      //
	ModifyDate      time.Time `db:"modify_date"`      //
}

// killara_hosting_stocks
type KillaraHostingStocks struct {
	StocksId    uint64    `db:"stocks_id"`    //
	Market      string    `db:"market"`       // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol string    `db:"stock_symbol"` // 股票代码
	StockName   string    `db:"stock_name"`   // 股票名称
	StockType   int64     `db:"stock_type"`   //
	Status      uint64    `db:"status"`       //
	InsertDate  time.Time `db:"insert_date"`  //
	ModifyDate  time.Time `db:"modify_date"`  //
}

// killara_hundsun_fund
type KillaraHundsunFund struct {
	FundId        uint64    `db:"fund_id"`        //
	ClientId      string    `db:"client_id"`      //
	Password      string    `db:"password"`       // 账号密码
	FrozenBalance float64   `db:"frozen_balance"` // 冻结资金
	EnableBalance float64   `db:"enable_balance"` // 可用金额
	AlertBalance  float64   `db:"alert_balance"`  // 余额警告（低于）
	MarketValue   float64   `db:"market_value"`   // 证券市值
	Status        uint64    `db:"status"`         //
	InsertDate    time.Time `db:"insert_date"`    //
	ModifyDate    time.Time `db:"modify_date"`    //
}

// killara_info 新闻表
type KillaraInfo struct {
	InfoId      uint64    `db:"info_id"`      //
	CategoryId  uint64    `db:"category_id"`  //
	LanguageId  uint64    `db:"language_id"`  // 所属语言
	Name        *string   `db:"name"`         // 名称
	Excerpt     *string   `db:"excerpt"`      //
	Description *string   `db:"description"`  //
	Image       string    `db:"image"`        //
	IsBanner    *int64    `db:"is_banner"`    // 是否为banner
	IsHot       *int64    `db:"is_hot"`       // 是否为热门
	IsRecommend *int64    `db:"is_recommend"` // 是否为推荐
	Status      uint64    `db:"status"`       //
	SortOrder   uint64    `db:"sort_order"`   //
	PostDate    time.Time `db:"post_date"`    // 发布日期
	InsertDate  time.Time `db:"insert_date"`  // 添加日期
	ModifyDate  time.Time `db:"modify_date"`  // 修改日期
}

// killara_info_category 新闻分类表
type KillaraInfoCategory struct {
	CategoryId uint64    `db:"category_id"` //
	LanguageId uint64    `db:"language_id"` // 所属语言
	Name       string    `db:"name"`        //
	Status     uint64    `db:"status"`      //
	SortOrder  uint64    `db:"sort_order"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_information_term 信息设置《-系统设置
type KillaraInformationTerm struct {
	TermId      uint64    `db:"term_id"`     //
	LanguageId  uint64    `db:"language_id"` // 所属语言
	Name        string    `db:"name"`        //
	Description *string   `db:"description"` //
	Status      uint64    `db:"status"`      //
	InsertDate  time.Time `db:"insert_date"` //
	ModifyDate  time.Time `db:"modify_date"` //
}

// killara_international
type KillaraInternational struct {
	InternationalId uint64    `db:"international_id"` //
	StockName       string    `db:"stock_name"`       // 股票名称
	Market          string    `db:"market"`           // 所属证券市场，HK为港股市场，US为美股市场
	Board           string    `db:"board"`            // 板块
	Industry        string    `db:"industry"`         // 行业
	OpenDate        string    `db:"open_date"`        // 公布中签日
	EndBuyDate      time.Time `db:"end_buy_date"`     // 截止购买日
	Deposit         float64   `db:"deposit"`          // 意向金百分比
	PurchaseFee     *string   `db:"purchase_fee"`     // 申购费
	Notice          *string   `db:"notice"`           // 温馨提示
	Status          int64     `db:"status"`           //
	InsertDate      time.Time `db:"insert_date"`      //
	ModifyDate      time.Time `db:"modify_date"`      //
}

// killara_ipo 新股认购（产品管理-》新股）
type KillaraIpo struct {
	IpoId               uint64     `db:"ipo_id"`                //
	Market              string     `db:"market"`                // 所属证券市场，HK为港股市场，US为美股市场
	StockName           *string    `db:"stock_name"`            // 股票名称
	StockSymbol         string     `db:"stock_symbol"`          // 股票代码
	BuyPrice            string     `db:"buy_price"`             // 招股价
	OpenPrice           string     `db:"open_price"`            // 发行价（已上市）
	OpenPriceStart      string     `db:"open_price_start"`      // 发行价起
	OpenPriceEnd        string     `db:"open_price_end"`        // 发行价至
	OpenDate            string     `db:"open_date"`             // 上市日
	OpenDateConfirm     int64      `db:"open_date_confirm"`     // 已否已确定了上市日期
	OpenVol             string     `db:"open_vol"`              // 发行量
	PublicDate          string     `db:"public_date"`           // 公布结果日
	StartBuyDate        time.Time  `db:"start_buy_date"`        // 开始认购日
	EndBuyDate          time.Time  `db:"end_buy_date"`          // 截止认购日
	FirstRange          string     `db:"first_range"`           // 首日涨跌幅
	GreyRange           string     `db:"grey_range"`            // 暗盘涨跌幅
	GreyTrade           uint64     `db:"grey_trade"`            // 是否允许暗盘交易。1：是；2：否
	GreyStartDate       *time.Time `db:"grey_start_date"`       // 暗盘开始时间
	GreyEndDate         *time.Time `db:"grey_end_date"`         // 暗盘截止时间
	GreyWinRate         *string    `db:"grey_win_rate"`         // 暗盘一手中签率
	GreyTransactionDate *time.Time `db:"grey_transaction_date"` // 暗盘交易日
	IsEntrust           int64      `db:"is_entrust"`            // 委托打新，1：是；2：否
	PdInfo              *string    `db:"pd_info"`               // 发行资料-基本信息
	PdInvestor          *string    `db:"pd_investor"`           // 发行资料-基石投资者
	PdSponsor           *string    `db:"pd_sponsor"`            // 发行资料-保荐人
	PdUnderwriter       *string    `db:"pd_underwriter"`        // 发行资料-承销商
	CoInfo              *string    `db:"co_info"`               // 简况-公司概况
	CoManager           *string    `db:"co_manager"`            // 简况-公司高管
	CoDescription       *string    `db:"co_description"`        // 公司简介
	Board               string     `db:"board"`                 // 板块
	Industry            string     `db:"industry"`              // 行业
	InsertDate          time.Time  `db:"insert_date"`           //
	ModifyDate          time.Time  `db:"modify_date"`           //
}

// killara_ipo_qty
type KillaraIpoQty struct {
	IpoId *uint64 `db:"ipo_id"` //
	Qty   *string `db:"qty"`    //
	Total *string `db:"total"`  //
}

// killara_ipo_ratio
type KillaraIpoRatio struct {
	IpoId *uint64 `db:"ipo_id"` //
	Name  *string `db:"name"`   //
	Ratio *string `db:"ratio"`  //
}

// killara_setting
type KillaraSetting struct {
	Key       string  `db:"key"`       //
	Value     *string `db:"value"`     //
	Group     string  `db:"group"`     //
	Serialize uint64  `db:"serialize"` //
}

// killara_stock 股票列表
type KillaraStock struct {
	StockId     int64   `db:"stock_id"`     //
	StockSymbol string  `db:"stock_symbol"` // 股票代码
	Market      string  `db:"market"`       // 证券市场
	StockName   string  `db:"stock_name"`   // 股票名称
	Abbr        string  `db:"abbr"`         //
	Stop        uint64  `db:"stop"`         // 停牌，1为是，2为否
	Msgs        string  `db:"msgs"`         // 每手股数
	InsertDate  *string `db:"insert_date"`  //
}

// killara_user
type KillaraUser struct {
	UserId     uint64    `db:"user_id"`     //
	Username   string    `db:"username"`    //
	Email      string    `db:"email"`       //
	Telephone  string    `db:"telephone"`   //
	Userface   string    `db:"userface"`    //
	Gender     int64     `db:"gender"`      // 1为男，2为女
	Name       string    `db:"name"`        //
	Salt       string    `db:"salt"`        //
	Password   string    `db:"password"`    //
	GroupId    int64     `db:"group_id"`    // 0为超级管理员
	GroupCode  string    `db:"group_code"`  //
	Status     uint64    `db:"status"`      //
	LastLogin  time.Time `db:"last_login"`  //
	LastIp     string    `db:"last_ip"`     //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_user_group
type KillaraUserGroup struct {
	GroupId    uint64    `db:"group_id"`    //
	Name       string    `db:"name"`        //
	Code       string    `db:"code"`        //
	Permission *string   `db:"permission"`  //
	InsertDate time.Time `db:"insert_date"` //
	ModifyDate time.Time `db:"modify_date"` //
}

// killara_user_login_history
type KillaraUserLoginHistory struct {
	UserId *uint64   `db:"user_id"` //
	Ip     string    `db:"ip"`      //
	Date   time.Time `db:"date"`    //
}

// killara_user_token
type KillaraUserToken struct {
	Token  *string `db:"token"`   //
	UserId *uint64 `db:"user_id"` //
	Data   *string `db:"data"`    //
	Expiry int64   `db:"expiry"`  //
}

func (models *LogicModels) SetSqlxDriver(driverName string, dataSourceName string) {
	db := sqlx.MustOpen(driverName, dataSourceName)
	models.KillaraAdAppModel = &KillaraAdAppModel{db: db, TableName: "killara_ad_app"}
	models.KillaraAdLaunchModel = &KillaraAdLaunchModel{db: db, TableName: "killara_ad_launch"}
	models.KillaraAdPcModel = &KillaraAdPcModel{db: db, TableName: "killara_ad_pc"}
	models.KillaraAdPopupModel = &KillaraAdPopupModel{db: db, TableName: "killara_ad_popup"}
	models.KillaraAdXcxModel = &KillaraAdXcxModel{db: db, TableName: "killara_ad_xcx"}
	models.KillaraCatalogAndroidModel = &KillaraCatalogAndroidModel{db: db, TableName: "killara_catalog_android"}
	models.KillaraCatalogBankModel = &KillaraCatalogBankModel{db: db, TableName: "killara_catalog_bank"}
	models.KillaraCatalogCountryModel = &KillaraCatalogCountryModel{db: db, TableName: "killara_catalog_country"}
	models.KillaraCatalogCurrencyModel = &KillaraCatalogCurrencyModel{db: db, TableName: "killara_catalog_currency"}
	models.KillaraCatalogExportModel = &KillaraCatalogExportModel{db: db, TableName: "killara_catalog_export"}
	models.KillaraCatalogFileModel = &KillaraCatalogFileModel{db: db, TableName: "killara_catalog_file"}
	models.KillaraCatalogHolidayModel = &KillaraCatalogHolidayModel{db: db, TableName: "killara_catalog_holiday"}
	models.KillaraCatalogInviteModel = &KillaraCatalogInviteModel{db: db, TableName: "killara_catalog_invite"}
	models.KillaraCatalogLanguageModel = &KillaraCatalogLanguageModel{db: db, TableName: "killara_catalog_language"}
	models.KillaraCatalogMerchantModel = &KillaraCatalogMerchantModel{db: db, TableName: "killara_catalog_merchant"}
	models.KillaraCatalogNoticeModel = &KillaraCatalogNoticeModel{db: db, TableName: "killara_catalog_notice"}
	models.KillaraCatalogServicefeeModel = &KillaraCatalogServicefeeModel{db: db, TableName: "killara_catalog_servicefee"}
	models.KillaraCommissionModel = &KillaraCommissionModel{db: db, TableName: "killara_commission"}
	models.KillaraCustomerModel = &KillaraCustomerModel{db: db, TableName: "killara_customer"}
	models.KillaraCustomerAccountModel = &KillaraCustomerAccountModel{db: db, TableName: "killara_customer_account"}
	models.KillaraCustomerBalanceModel = &KillaraCustomerBalanceModel{db: db, TableName: "killara_customer_balance"}
	models.KillaraCustomerCommissionModel = &KillaraCustomerCommissionModel{db: db, TableName: "killara_customer_commission"}
	models.KillaraCustomerCommissionWithdrawModel = &KillaraCustomerCommissionWithdrawModel{db: db, TableName: "killara_customer_commission_withdraw"}
	models.KillaraCustomerDepositModel = &KillaraCustomerDepositModel{db: db, TableName: "killara_customer_deposit"}
	models.KillaraCustomerDeviceModel = &KillaraCustomerDeviceModel{db: db, TableName: "killara_customer_device"}
	models.KillaraCustomerDeviceLogModel = &KillaraCustomerDeviceLogModel{db: db, TableName: "killara_customer_device_log"}
	models.KillaraCustomerDistributorModel = &KillaraCustomerDistributorModel{db: db, TableName: "killara_customer_distributor"}
	models.KillaraCustomerExchangeModel = &KillaraCustomerExchangeModel{db: db, TableName: "killara_customer_exchange"}
	models.KillaraCustomerFavouriteModel = &KillaraCustomerFavouriteModel{db: db, TableName: "killara_customer_favourite"}
	models.KillaraCustomerFeedbackModel = &KillaraCustomerFeedbackModel{db: db, TableName: "killara_customer_feedback"}
	models.KillaraCustomerFundModel = &KillaraCustomerFundModel{db: db, TableName: "killara_customer_fund"}
	models.KillaraCustomerHoldModel = &KillaraCustomerHoldModel{db: db, TableName: "killara_customer_hold"}
	models.KillaraCustomerInternationalModel = &KillaraCustomerInternationalModel{db: db, TableName: "killara_customer_international"}
	models.KillaraCustomerIpoModel = &KillaraCustomerIpoModel{db: db, TableName: "killara_customer_ipo"}
	models.KillaraCustomerNewsModel = &KillaraCustomerNewsModel{db: db, TableName: "killara_customer_news"}
	models.KillaraCustomerPointModel = &KillaraCustomerPointModel{db: db, TableName: "killara_customer_point"}
	models.KillaraCustomerTokenModel = &KillaraCustomerTokenModel{db: db, TableName: "killara_customer_token"}
	models.KillaraCustomerTransactionModel = &KillaraCustomerTransactionModel{db: db, TableName: "killara_customer_transaction"}
	models.KillaraCustomerWithdrawModel = &KillaraCustomerWithdrawModel{db: db, TableName: "killara_customer_withdraw"}
	models.KillaraFundModel = &KillaraFundModel{db: db, TableName: "killara_fund"}
	models.KillaraFundAchievementModel = &KillaraFundAchievementModel{db: db, TableName: "killara_fund_achievement"}
	models.KillaraFundCategoryModel = &KillaraFundCategoryModel{db: db, TableName: "killara_fund_category"}
	models.KillaraFundNetModel = &KillaraFundNetModel{db: db, TableName: "killara_fund_net"}
	models.KillaraHelpModel = &KillaraHelpModel{db: db, TableName: "killara_help"}
	models.KillaraHelpCategoryModel = &KillaraHelpCategoryModel{db: db, TableName: "killara_help_category"}
	models.KillaraHostingDayModel = &KillaraHostingDayModel{db: db, TableName: "killara_hosting_day"}
	models.KillaraHostingMagnificationModel = &KillaraHostingMagnificationModel{db: db, TableName: "killara_hosting_magnification"}
	models.KillaraHostingStocksModel = &KillaraHostingStocksModel{db: db, TableName: "killara_hosting_stocks"}
	models.KillaraHundsunFundModel = &KillaraHundsunFundModel{db: db, TableName: "killara_hundsun_fund"}
	models.KillaraInfoModel = &KillaraInfoModel{db: db, TableName: "killara_info"}
	models.KillaraInfoCategoryModel = &KillaraInfoCategoryModel{db: db, TableName: "killara_info_category"}
	models.KillaraInformationTermModel = &KillaraInformationTermModel{db: db, TableName: "killara_information_term"}
	models.KillaraInternationalModel = &KillaraInternationalModel{db: db, TableName: "killara_international"}
	models.KillaraIpoModel = &KillaraIpoModel{db: db, TableName: "killara_ipo"}
	models.KillaraIpoQtyModel = &KillaraIpoQtyModel{db: db, TableName: "killara_ipo_qty"}
	models.KillaraIpoRatioModel = &KillaraIpoRatioModel{db: db, TableName: "killara_ipo_ratio"}
	models.KillaraSettingModel = &KillaraSettingModel{db: db, TableName: "killara_setting"}
	models.KillaraStockModel = &KillaraStockModel{db: db, TableName: "killara_stock"}
	models.KillaraUserModel = &KillaraUserModel{db: db, TableName: "killara_user"}
	models.KillaraUserGroupModel = &KillaraUserGroupModel{db: db, TableName: "killara_user_group"}
	models.KillaraUserLoginHistoryModel = &KillaraUserLoginHistoryModel{db: db, TableName: "killara_user_login_history"}
	models.KillaraUserTokenModel = &KillaraUserTokenModel{db: db, TableName: "killara_user_token"}
}
