package handlers

import (
	"github.com/gin-gonic/gin"
	"github.com/iapologizewhenimwrong/Vestmore_GO/server/app/internal/handlers/actions"
)

var HandlersFuncRoutes map[string]gin.HandlerFunc = make(map[string]gin.HandlerFunc)

func init() {
	HandlersFuncRoutes["account/forgetSmsCode"] = actions.AccountForgetSmsCode
	HandlersFuncRoutes["account/loginWithEmailPassword"] = actions.AccountLoginWithEmailPassword
	HandlersFuncRoutes["account/loginWithTelephonePassword"] = actions.AccountLoginWithTelephonePassword
	HandlersFuncRoutes["account/registerEmailCode"] = actions.AccountRegisterEmailCode
	HandlersFuncRoutes["account/registerSmsCode"] = actions.AccountRegisterSmsCode
	HandlersFuncRoutes["base/getToken"] = actions.BaseGetToken
	HandlersFuncRoutes["member/alterPassword"] = actions.MemberAlterPassword
}
